Skip to main content

Cloud Storage

Google Drive, OneDrive, Box, Dropbox

  • Tools: 6
  • Connectors: 7

Connectors in this domain

Tool reference

storage.files.get - Get File

Get file details and metadata

  • Risk: read - Read-only - safe to call freely
  • Supported by: SharePoint, Egnyte, OneDrive, AWS S3, Google Drive, Dropbox, Box

Input schema

FieldTypeRequiredDescription
file_idstringNo-

Output schema

FieldTypeRequiredDescription
fileobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.files.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.files.get",
"arguments": {
"file_id": "string"
}
}
}

storage.files.search - Search Files

Search files in storage

  • Risk: read - Read-only - safe to call freely
  • Supported by: SharePoint, Egnyte, OneDrive, AWS S3, Google Drive, Dropbox, Box

Input schema

FieldTypeRequiredDescription
limitintegerNo-
querystringNo-

Output schema

FieldTypeRequiredDescription
filesarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.files.search/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"limit":0,"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.files.search",
"arguments": {
"limit": 0,
"query": "string"
}
}
}

storage.files.upload - Upload File

Upload a file to storage

  • Risk: write - Creates or modifies data
  • Supported by: SharePoint, OneDrive, AWS S3, Egnyte, Google Drive, Dropbox, Box

Input schema

FieldTypeRequiredDescription
namestringNo-
contentstringNo-
folder_idstringNo-

Output schema

FieldTypeRequiredDescription
fileobjectNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.files.upload/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"name":"string","content":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.files.upload",
"arguments": {
"name": "string",
"content": "string"
}
}
}

storage.folders.list - List Folders

List folders in storage

  • Risk: read - Read-only - safe to call freely
  • Supported by: Egnyte, OneDrive, AWS S3, Google Drive, Dropbox, Box, SharePoint

Input schema

FieldTypeRequiredDescription
parent_idstringNo-

Output schema

FieldTypeRequiredDescription
foldersarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.folders.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"parent_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.folders.list",
"arguments": {
"parent_id": "string"
}
}
}

storage.permissions.get - Get Permissions

Get file or folder permissions

  • Risk: read - Read-only - safe to call freely
  • Supported by: Google Drive, OneDrive, Box, Dropbox, SharePoint, AWS S3, Egnyte

Input schema

FieldTypeRequiredDescription
file_idstringNo-

Output schema

FieldTypeRequiredDescription
permissionsarrayNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.permissions.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.permissions.get",
"arguments": {
"file_id": "string"
}
}
}

Create a sharing link for a file

  • Risk: write - Creates or modifies data
  • Supported by: Google Drive, OneDrive, Box, Dropbox, Egnyte, SharePoint, AWS S3

Input schema

FieldTypeRequiredDescription
typestringNo-
file_idstringNo-

Output schema

FieldTypeRequiredDescription
linkstringNo-

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/storage.sharing.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"type":"string","file_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "storage.sharing.create",
"arguments": {
"type": "string",
"file_id": "string"
}
}
}